Skip to content

Get a user

GET
/space/user/{id}
curl --request GET \
--url https://api.aelyst.ai/v1/space/user/example \
--header 'Authorization: Bearer <token>'

Retrieve information about a user.

id
required
string

User ID.

Media typeapplication/json
object
id
required

User ID.

integer
firstName
required
string
lastName
required
string
email
required
string
role
required

User role in the workspace.

string
Allowed values: agent manager owner
team
required
object
id

ID of the team.

integer
name

Name of the team.

string
restrictions
required
Any of:

Constants representing the user restrictions at the workspace-level.

Array<string>
unique items
Allowed values: restrict_data_export restrict_contact_deletion restrict_space_setting show_team_contacts show_only_mine restrict_space_integration restrict_shortcuts
Example
{
"id": 123,
"firstName": "John",
"lastName": "Wick",
"email": "test@example.com",
"role": "agent",
"team": {
"id": 123,
"name": "Customer Support"
},
"restrictions": [
"restrict_data_export"
]
}
Media typeapplication/json
object
code
integer
message
string
Example
{
"code": 400,
"message": "Validation error."
}
Media typeapplication/json
object
code
integer
message
string
Example
{
"code": 401,
"message": "UN_AUTHORIZED"
}
Media typeapplication/json
object
code
integer
message
string
Example
{
"code": 429,
"message": "Too Many Requests"
}
Retry-After
number
Example
1

Number of seconds until you can retry the request

X-RateLimit-Limit
number
Example
10

Number of request allowed for this end point

X-RateLimit-Remaining
number
Example
5

Number of request remaining for this end point

Media typeapplication/json
object
code
integer
message
string
Example
{
"code": 500,
"message": "Unexpected error occurred"
}